Bug 986618 - eclipse-packagekit prevents eclipse from running
eclipse-packagekit prevents eclipse from running
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse-packagekit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 22:16 EDT by Filipe Rosset
Modified: 2014-01-12 19:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 05:27:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filipe Rosset 2013-07-20 22:16:44 EDT
Description of problem:
eclipse-packagekit prevents eclipse from running, I had to uninstall eclipse-packagekit to be able to start eclipse.

Version-Release number of selected component (if applicable):
eclipse-packagekit-0.1.0-3.fc20.noarch

How reproducible:
always

Steps to Reproduce:
1. open a terminal
2. start eclipse
3.

Actual results:
eclipse cannot start, with lot of errors.

Expected results:
eclipse running

Additional info:
yum remove eclipse-packagekit -y workaround the issue
Comment 1 Filipe Rosset 2013-07-20 22:17:02 EDT
[rosset@localhost ~]$ eclipse
CompilerOracle: exclude org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith
CompilerOracle: exclude org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding.<init>
CompilerOracle: exclude org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates.instantiateTemplate
CompilerOracle: exclude org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage.addBinding
CompilerOracle: exclude org/python/pydev/editor/codecompletion/revisited/PythonPathHelper.isValidSourceFile
CompilerOracle: exclude org/eclipse/tycho/core/osgitools/EquinoxResolver.newState
org.eclipse.equinox.p2.core.ProvisionException: Error: file:/usr/share/eclipse/dropins/packagekit/ is not a valid extension location because it already contains a standard p2 repository file.
	at org.eclipse.equinox.internal.p2.extensionlocation.ExtensionLocationMetadataRepositoryFactory.load(ExtensionLocationMetadataRepositoryFactory.java:68)
	at org.eclipse.equinox.internal.p2.extensionlocation.SiteListener.synchronizeRepositories(SiteListener.java:86)
	at org.eclipse.equinox.internal.p2.extensionlocation.ExtensionLocationArtifactRepository.ensureInitialized(ExtensionLocationArtifactRepository.java:66)
	at org.eclipse.equinox.internal.p2.extensionlocation.ExtensionLocationArtifactRepository.getProperties(ExtensionLocationArtifactRepository.java:259)
	at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.addRepository(AbstractRepositoryManager.java:129)
	at org.eclipse.equinox.internal.p2.repository.helpers.AbstractRepositoryManager.loadRepository(AbstractRepositoryManager.java:674)
	at org.eclipse.equinox.internal.p2.artifact.repository.ArtifactRepositoryManager.loadRepository(ArtifactRepositoryManager.java:104)
	at org.eclipse.equinox.internal.p2.artifact.repository.ArtifactRepositoryManager.loadRepository(ArtifactRepositoryManager.java:100)
	at org.eclipse.equinox.internal.p2.reconciler.dropins.Activator.loadArtifactRepository(Activator.java:142)
	at org.eclipse.equinox.internal.p2.reconciler.dropins.DropinsRepositoryListener.getArtifactRepository(DropinsRepositoryListener.java:260)
	at org.eclipse.equinox.internal.p2.reconciler.dropins.DropinsRepositoryListener.addRepository(DropinsRepositoryListener.java:123)
	at org.eclipse.equinox.internal.p2.reconciler.dropins.DropinsRepositoryListener.added(DropinsRepositoryListener.java:96)
	at org.eclipse.equinox.internal.provisional.p2.directorywatcher.DirectoryWatcher.processFile(DirectoryWatcher.java:197)
	at org.eclipse.equinox.internal.provisional.p2.directorywatcher.DirectoryWatcher.scanDirectories(DirectoryWatcher.java:160)
	at org.eclipse.equinox.internal.provisional.p2.directorywatcher.DirectoryWatcher.poll(DirectoryWatcher.java:108)
	at org.eclipse.equinox.internal.p2.reconciler.dropins.Activator.watchDropins(Activator.java:542)
	at org.eclipse.equinox.internal.p2.reconciler.dropins.Activator.start(Activator.java:172)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
	at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
	at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:381)
	at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
	at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
	at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
...
Comment 2 Filipe Rosset 2013-07-20 22:17:15 EDT
#installed packages
[rosset@localhost ~]$ rpm -qa | grep eclipse
eclipse-linuxtools-2.0.0-1.fc20.noarch
eclipse-mylyn-context-java-3.9.0-2.fc20.noarch
eclipse-pde-4.3.0-4.fc20.x86_64
eclipse-rpmstubby-2.0.0-1.fc20.noarch
eclipse-emf-2.9.0-1.fc20.noarch
eclipse-ptp-rdt-xlc-7.0.1-1.fc20.noarch
eclipse-mylyn-context-cdt-3.9.0-2.fc20.noarch
eclipse-equinox-osgi-4.3.0-4.fc20.x86_64
eclipse-dtp-1.11.0-1.fc20.noarch
eclipse-mylyn-3.9.0-2.fc20.noarch
eclipse-p2-discovery-4.2.1-2.fc19.noarch
eclipse-valgrind-2.0.0-1.fc20.noarch
eclipse-platform-4.3.0-4.fc20.x86_64
eclipse-cdt-parsers-8.2.0-1.fc20.x86_64
eclipse-wtp-sourceediting-3.5.0-1.fc20.noarch
eclipse-ptp-rdt-7.0.1-1.fc20.noarch
eclipse-nls-pt_BR-4.2.0.v20121120043402-2.fc19.noarch
eclipse-mylyn-tasks-web-3.9.0-2.fc20.noarch
eclipse-fedorapackager-0.4.1-7.fc20.noarch
eclipse-cdt-8.2.0-1.fc20.x86_64
eclipse-emf-core-2.9.0-1.fc20.noarch
eclipse-wtp-servertools-3.5.0-1.fc20.noarch
eclipse-ptp-7.0.1-1.fc20.x86_64
eclipse-nls-4.2.0.v20121120043402-2.fc19.noarch
eclipse-mylyn-tasks-bugzilla-3.9.0-2.fc20.noarch
eclipse-jgit-3.0.0-3.fc20.noarch
eclipse-rpm-editor-2.0.0-1.fc20.noarch
eclipse-mpc-1.1.2-0.3.git00b427.fc20.noarch
eclipse-mylyn-tasks-trac-3.9.0-2.fc20.noarch
eclipse-packagekit-0.1.0-3.fc20.noarch
eclipse-gef-3.9.0-1.git22becd5.fc20.noarch
eclipse-collabnet-merge-4.0.0-1.fc20.noarch
eclipse-rse-3.5-1.fc20.noarch
eclipse-wtp-webservices-3.5.0-2.fc20.noarch
eclipse-oprofile-2.0.0-1.fc20.noarch
eclipse-ecf-core-3.6.0-2.fc20.noarch
eclipse-jdt-4.3.0-4.fc20.x86_64
eclipse-changelog-2.8.1-1.fc20.noarch
eclipse-egit-3.0.0-3.fc20.noarch
eclipse-pydev-2.7.5-1.fc20.noarch
eclipse-swt-4.3.0-4.fc20.x86_64
eclipse-wtp-common-3.5.0-1.fc20.noarch
eclipse-subclipse-1.10.0-2.fc20.noarch
icu4j-eclipse-50.1.1-1.fc20.noarch
eclipse-emf-xsd-2.9.0-1.fc20.noarch
Comment 3 Alexander Kurtakov 2013-07-22 02:24:56 EDT
Chris, this does look like a problem with the feclipse-maven-plugin not dropping the p2 metadata anymore. Would you please check?
Comment 4 Krzysztof Daniel 2013-07-22 04:56:08 EDT
Investigating
Comment 5 Krzysztof Daniel 2013-07-22 12:50:30 EDT
I was not aware that having content.jar and artifacts.jar in dropins is so disastrous. I need to readd removing it back.
Comment 6 Krzysztof Daniel 2013-07-23 05:27:52 EDT
I've fixed feclipse-maven-packager to remove content.jar and artifacts.jar.
Please reopen the bug if the issue still persists.

Note You need to log in before you can comment on or make changes to this bug.